如何设置proxy

为当前最终发行版之前的所有版本提供支持
回复
njchenyi
帖子: 39
注册时间: 2006-03-13 0:19
送出感谢: 0
接收感谢: 0
联系:

如何设置proxy

#1

帖子 njchenyi » 2006-03-15 17:10

因为公司有防火墙,连外网需要用proxy
不知道apt如何设置proxy
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2006-03-15 20:29

搜索吧。“proxy apt”
● 鸣学
zoomworld
帖子: 5
注册时间: 2006-02-18 19:39
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 zoomworld » 2006-03-15 20:45

我也遇到了类似的问题。可以上网,但是不能升级。
头像
firehare
论坛版主
帖子: 2625
注册时间: 2005-04-10 16:54
来自: 温州大学
送出感谢: 0
接收感谢: 2 次
联系:

#4

帖子 firehare » 2006-03-15 21:33

我心无畏,源自于我心无知。
图片
jieying
帖子: 371
注册时间: 2005-11-03 17:52
送出感谢: 0
接收感谢: 0

#5

帖子 jieying » 2006-03-15 23:42

新建一个文件,打开终端,输入

代码: 全选

sudo gedit  /etc/apt/apt.conf
在打开的编辑器中输入如下内容:

代码: 全选

Acquire::http::Proxy "http://usrer:password@proxyip:port";
保存文档,关闭,就可以使用apt-get了。[/code]
yoshubom
帖子: 233
注册时间: 2005-12-28 16:23
送出感谢: 0
接收感谢: 0

#6

帖子 yoshubom » 2006-04-08 10:03

done .

after edit /etc/apt/apt.conf

remember type:

sudo apt-get update
回复

回到 “老旧版本支持”